<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta name="description" content="Wings Mobile - SoftSwitch Administrator"/>
    <meta name="author" content="Mauricio Biasutto"/>
    <title>Pagos - Wings Mobile</title>
    <link rel="bookmark" th:href="@{/img/favicon.png}"/>
    <link rel="shortcut icon" th:href="@{/img/favicon.ico}"/>
    <link href="/css/font-awesome.min.css" th:href="@{/css/font-awesome.min.css}" rel="stylesheet"/>
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link href="/css/sb-admin-2.css" th:href="@{/css/sb-admin-2.css}" rel="stylesheet"/>
    <link th:href="@{/css/style.css}" rel="stylesheet"/>
    <script th:src="@{/js/fontawesome.js}"></script>
    <link th:href="@{/css/navigation-style.css}" rel="stylesheet"/>
</head>
<body id="page-top">

<div class="page-wrapper chiller-theme toggled">
    <div th:replace="@{frags/navigation}"></div>
    <main class="page-content">
        <div class="container-fluid">
            <div th:replace="@{frags/topbar}"></div>
            <div class="row">
                <div class="col-lg-12">
                    <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
                        <div class="col-lg-2">
                            <h4 class="text-gray-800" th:text="#{search.user}"></h4>
                        </div>
                    </nav>
                </div>
            </div>
            <div class="container-fluid">
                <a class="btn btn-primary active mb-2 float-right" th:href="@{/admin/user/}" th:text="#{navigation.payment.create.user}"></a>
                <table class="table">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col" th:text="#{user.table.name}"></th>
                        <th scope="col" th:text="#{user.table.lastname}"></th>
                        <th scope="col" th:text="#{user.table.email}"></th>
                        <th scope="col" th:text="#{user.table.username}"></th>
                        <th scope="col" th:text="#{user.table.enabled}"></th>
                        <th scope="col" th:text="#{user.table.main.role}"></th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="user : ${users}">
                        <td th:text="${user.id}"></td>
                        <td th:text="${user.name}"></td>
                        <td th:text="${user.lastname}"></td>
                        <td th:text="${user.email}"></td>
                        <td th:text="${user.username}"></td>
                        <td th:text="${user.enabled}? #{user.enabled.yes} : #{user.enabled.no}"></td>
                        <td th:text="${user.mainRole()}"></td>
                        <td>
                            <a class="fas fa-edit" name="editUser" th:value="${user.id}"></a>
                            <a class="fas fa-trash-alt" name="deleteUser" th:value="${user.id}"></a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div th:replace="@{frags/footer-logged}"></div>
    </main>
</div>

<div hidden id="deleteUserTitle" th:text="#{delete.user.title.popup}"></div>
<div hidden id="deleteUserMessage" th:text="#{delete.user.message.popup}"></div>
<div hidden id="deleteUserConfirm" th:text="#{delete.user.confirm}"></div>
<div hidden id="deleteUserCancel" th:text="#{delete.user.cancel}"></div>
<div hidden id="deleteUserSuccess" th:text="#{delete.user.success}"></div>
<div hidden id="deleteUserError" th:text="#{delete.user.error}"></div>

<script th:src="@{/js/sweetalert.min.js}"></script>
<script th:src="@{/js/jquery.min.js}"></script>
<script th:src="@{/js/popper.min.js}"></script>
<script th:src="@{/js/bootstrap.min.js}"></script>
<script th:src="@{/js/fontawesome.js}"></script>
<script th:src="@{/js/users/users.js}"></script>
</body>
</html>